List Request Logs
Beta/v1/core/request-logsThis endpoint is idempotent. Learn more
Returns a paginated list of request logs.
cursoroptional stringCursor token used to retrieve the next or previous page of results.
limitoptional integerMaximum number of results per page (default: 100, max: 1000).
qoptional stringSearch query used to filter results.
start_dateoptional string (date-time)Restricts results to request logs on or after this timestamp.
end_dateoptional string (date-time)Restricts results to request logs on or before this timestamp.
methods[]optional arrayenumValues:GETPOSTPUTFilter by the HTTP method.
status_codes[]optional arrayFilter by the HTTP status code.
error_codes[]optional arrayenumValues:expired_tokenapi_key_expiredapi_key_revokedFilter by API error code.
account_ids[]optional arrayFilter by the account ID targeted by the request. The actor may be operating on behalf of a separate account.
actor_ids[]optional arrayFilter by the actor identifier. account_user.id when identity_type=user, or an api_key.id when identity_type=api_key.
actor_types[]optional arrayenumValues:userapi_keyagentFilter by the actor type.
normalized_routes[]optional arrayFilter by the normalized route template. For example PATCH /v1/sales/customers/{id} is the normalized route for a request route PUT /v1/sales/customers/ac_....
hosts[]optional arrayFilter by the request host. Typically, api.augno.com.
min_latency_usoptional integerFilter by the minimum latency in microseconds.
idempotency_keyoptional stringFilter by the user-provided idempotency key.
include[]optional arrayenumValues:accountactoractor.roleSub-objects to expand in the response. When omitted, sub-objects are returned as null.
objectstringenumValues:listResource type identifier.
page_infoobjectPagination metadata.
next_page_urlstringnullableURL to fetch the next page, null if no more pages.
previous_page_urlstringnullableURL to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectResources in this page.
idstringRequest log ID.
objectstringenumValues:request_logResource type identifier.
methodstringHTTP method.
hoststringRequest host. Usually api.augno.com.
pathstringNon-normalized request path.
normalized_routestringNormalized route template. For example PATCH /v1/sales/customers/{id} is the normalized route for a request route PUT /v1/sales/customers/ac_....
query_paramsobjectnullableQuery parameters. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
status_codeintegerHTTP status code.
latency_usintegerRequest latency in microseconds.
api_versionstringnullableAPI version used.
client_ipstringnullableClient IP address.
user_agentstringnullableUser agent.
referrerstringnullableReferrer header.
error_codestringnullableAPI error code.
error_messagestringnullableError message.
occurred_atstring (date-time)When the request occurred.
created_atstring (date-time)When the log entry was created.
accountobjectExpandablenullableAccount targeted by the request.
idstringAccount ID.
objectstringenumValues:accountResource type identifier.
namestringDisplay name.
default_billing_addressobjectnullableDefault billing address.
null in this endpoint.default_shipping_addressobjectnullableDefault shipping address.
null in this endpoint.brandingobjectnullableBranding configuration.
null in this endpoint.portalobjectnullablePortal configuration.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
actorobjectExpandablenullableActor who made the request.
idstringActor ID.
objectstringenumValues:actorResource type identifier.
typestringenumValues:userapi_keyagentActor type.
namestringnullableDisplay name.
handlestringnullableHuman-readable handle (email for users, redacted_value for API keys, slug for agents).
roleobjectExpandablenullableAssigned role.
idstringRole ID.
objectstringenumValues:roleResource type identifier.
namestringDisplay name.
typestringenumValues:adminuserscannerRole type code.
The role's type is sometimes used to gate special behaviors in the frontend
and to restrict some actions to only certain types of roles. For example,
only roles with the type admin can create and manage API keys.
ownerobjectnullableOwner of this resource.
null in this endpoint.permissionsarray of stringnullablePermissions in {domain}:{action} format.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
idempotency_keystringnullableUser-provided idempotency key.
request_bodyobjectnullableRequest body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
response_bodyobjectnullableResponse body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
Responses
Successful response for List Request Logs